#include "TestCommon.h"
#include <fstream>
#include <iostream>

void ReadFromFile(const std::string& fileName, std::string& content)
{
	std::ifstream expectedFile(fileName.c_str());
	std::string tmpContent;
	while (std::getline(expectedFile, tmpContent))
	{
		content += tmpContent + "\n";
	}
	if (content.size() != 0)
	{
		std::cout << "content was read from file, filename = " << fileName << std::endl << std::endl;

		// remove last \n
		content.resize(content.size() - 1);
		expectedFile >> content;
	}
	else
	{
		std::cout << "Nothing was read from file, filename = " << fileName << std::endl << std::endl;
	}
}
//-------------------------------------------------------------------------------------------
